DROP TABLE IF EXISTS `celer_categories`;
CREATE TABLE IF NOT EXISTS `celer_categories` (
  `id` int(16) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `order` int(16) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

INSERT INTO `celer_categories` (`id`, `name`, `order`) VALUES (1, 'Main', 1);


DROP TABLE IF EXISTS `celer_config`;
CREATE TABLE IF NOT EXISTS `celer_config` (
  `id` int(16) NOT NULL auto_increment,
  `fulldir` longtext NOT NULL,
  `name` varchar(255) NOT NULL default '',
  `theme` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

INSERT INTO `celer_config` (`id`, `fulldir`, `name`, `theme`) VALUES (1, 'http://forums.rsinsomniac.com', 'CelerBB', 'default');

DROP TABLE IF EXISTS `celer_forums`;
CREATE TABLE IF NOT EXISTS `celer_forums` (
  `id` int(16) NOT NULL default '0',
  `cat_id` int(16) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `desc` longtext NOT NULL,
  `num_posts` varchar(255) NOT NULL default '',
  `num_topics` varchar(255) NOT NULL default '',
  `last_post` varchar(255) NOT NULL default '',
  `order` int(16) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

INSERT INTO `celer_forums` (`id`, `cat_id`, `name`, `desc`, `num_posts`, `num_topics`, `last_post`, `order`) VALUES (1, 1, 'General Discussion', 'Talk about anything here.', '1', '1', 'test', 1);

DROP TABLE IF EXISTS `celer_posts`;
CREATE TABLE IF NOT EXISTS `celer_posts` (
  `id` int(16) NOT NULL auto_increment,
  `forum_id` varchar(255) NOT NULL default '',
  `topic_id` varchar(255) NOT NULL default '',
  `posted_by` varchar(255) NOT NULL default '',
  `posted_date` varchar(255) NOT NULL default '',
  `ip` varchar(255) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `post_text` longtext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=55 ;

INSERT INTO `celer_posts` (`id`, `forum_id`, `topic_id`, `posted_by`, `posted_date`, `ip`, `title`, `post_text`) VALUES (1, '1', '1', 'beezm', '02132005', '192.168.0.1', '', 'This is a test post.');

DROP TABLE IF EXISTS `celer_topics`;
CREATE TABLE IF NOT EXISTS `celer_topics` (
  `id` int(16) NOT NULL auto_increment,
  `forum_id` int(16) NOT NULL default '0',
  `udate` varchar(255) NOT NULL default '',
  `pinned` int(2) NOT NULL default '1',
  `locked` int(2) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `author` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=24 ;


INSERT INTO `celer_topics` (`id`, `forum_id`, `udate`, `pinned`, `locked`, `name`, `author`) VALUES (1, 1, '', 1, 0, 'Test Post', 'beezm');

DROP TABLE IF EXISTS `celer_users`;
CREATE TABLE IF NOT EXISTS `celer_users` (
  `id` int(16) NOT NULL auto_increment,
  `reg_date` varchar(255) NOT NULL default '',
  `last_login` varchar(255) NOT NULL default '',
  `username` varchar(64) NOT NULL default '',
  `password` varchar(64) NOT NULL default '',
  `email` varchar(128) NOT NULL default '',
  `post_count` varchar(255) NOT NULL default '',
  `birth` varchar(64) NOT NULL default '',
  `location` varchar(64) NOT NULL default '',
  `avatar` varchar(255) NOT NULL default '',
  `signature` longtext NOT NULL,
  `misc` longtext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='YAPF Users Table' AUTO_INCREMENT=6 ;


DROP TABLE IF EXISTS `celer_users_online`;
CREATE TABLE IF NOT EXISTS `celer_users_online` (
  `id` int(16) NOT NULL auto_increment,
  `username` varchar(255) NOT NULL default '',
  `date` varchar(255) NOT NULL default '',
  `ip` varchar(255) NOT NULL default '',
  `browser` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=51 ;
